Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.archive.crawler.datamodel
Enum CrawlSubstats.Stage

    java.lang.Object
      java.lang.Enum<CrawlSubstats.Stage>
          org.archive.crawler.datamodel.CrawlSubstats.Stage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CrawlSubstats.Stage>

Enclosing class:
  CrawlSubstats

    public static enum CrawlSubstats.Stage

extends java.lang.Enum<CrawlSubstats.Stage>

Enum Constant Summary
`DISREGARDED`
`FAILED`
`RETRIED`
`SCHEDULED`
`SUCCEEDED`

Method Summary
`static CrawlSubstats.Stage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CrawlSubstats.Stage[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SCHEDULED

    public static final CrawlSubstats.Stage SCHEDULED

### SUCCEEDED

    public static final CrawlSubstats.Stage SUCCEEDED

### RETRIED

    public static final CrawlSubstats.Stage RETRIED

### DISREGARDED

    public static final CrawlSubstats.Stage DISREGARDED

### FAILED

    public static final CrawlSubstats.Stage FAILED

Method Detail

### values

    public static final CrawlSubstats.Stage[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CrawlSubstats.Stage c : CrawlSubstats.Stage.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CrawlSubstats.Stage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.